package cd.casic.ci.commons.bean.process.setting;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线环境配置模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Scm {

    private String scmId;

    //类型
    private String scmType;

    //名称
    private String scmName;

    //创建时间
    private String createTime;

    //地址
    private String scmAddress;
}
