package cd.casic.ci.commons.bean.support.count;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线概况统计模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineOverview {

    //运行次数
    private int allNumber;

    //平均执行时长
    private int execTime;

    //成功次数
    private int successNumber;

    //失败次数
    private int errorNumber;

    //停止次数
    private int haltNumber;

    //平均执行时长(转换成时分秒)
    private String time;

}
