package cd.casic.module.process.process.setting.dao;

import cd.casic.ci.commons.bean.process.setting.Env;
import cd.casic.ci.commons.bean.process.setting.EnvQuery;
import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.module.process.process.setting.dataobject.EnvDo;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author by mianbin
 * @Classname EnvDao
 * @Description TODO
 * @Date 2025/4/23 15:54
 */
@Mapper
public interface EnvDao extends BaseMapperX<EnvDo> {
    public String creatEnv(Env env);

    public void updateEnv(Env env);


    public void deleteEnv(String groupId);


    public Env findOneEnv(String groupId);


    public List<Env> findAllEnv();


    public List<Env> findEnvList(EnvQuery envQuery);


    public PageResult<Env> findEnvPage(EnvQuery envQuery);


    public List<Env> findAllEnvList(List<String> idList);


    public Integer findEnvNumber();
}