package cd.casic.module.process.service.support.deploy.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_task_deploy_instance", autoResultMap = true)
public class TaskDeployInstanceDo extends BaseDO {

    @TableId
    private String id;

    private String taskInstanceId;

    // 名称
    private String name;

    // 时间
    private String runTime;

    // 状态
    private String runStatus;

    // 运行日志
    private String runLog;

    private Integer sort;

}
