package cd.casic.module.process.service.support.message.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_task_message_user", autoResultMap = true)
public class TaskMessageUserDo extends BaseDO {

    //id
    @TableId
    private String messageId;

    //类型
    private String taskId;

    //接收人
    private String userId;

    //接收类型 1.全部 2.仅成功 3.仅失败
    private String receiveType;

}
