package cd.casic.module.process.support.trigger.dateObject;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线触发器时间模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@AllArgsConstructor
public class TriggerTime {

    private String timeId;

    private int jobType;

    private int date;

    //具体时间
    private String time;

    //配置id
    private String triggerId;

    //配置id
    private String cron;

    //具体执行时间
    private String weekTime;

    //执行时间
    private String execTime;

    //天数,周几 or 这里使用cron 表达式存储？
    private List<Integer> timeList;

    private Integer dayTime;

    //类型
    private int type;

    //名称
    private String name;

    /**
     * 状态
     */
    private String state;

    private int taskType;

}
