package cd.casic.module.process.support.trigger.entity;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_trigger", autoResultMap = true)
public class TriggerDo extends BaseDO {

    @TableId
    private String id;
    private String triggerId;

    private String name;

    private int taskSort;

    private int taskType;

    private String pipelineId;

    private String state;

}
