package cd.casic.ci.commons.bean.process.setting;


import cd.casic.module.system.api.user.dto.AdminUserRespDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线第三方模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class AuthThird {

    private String serverId;

    //类型  gitee,github,gitlab,sonar,nexus
    private String type;

    //认证类型 1.用户名密码 2. 通用认证
    private int authType;

    //服务名称
    private String name;

    private String createTime;

    private String username;

    private String password;

    private String privateKey;

    //服务地址
    private String serverAddress;

    //授权信息
    private String accessToken;

    //刷新授权
    private String refreshToken;

    private String code;

    //授权id
    private String clientId;

    //授权密码
    private String clientSecret;

    //回调地址
    private String callbackUrl;

    private AdminUserRespDTO adminUserRespDTO;

    //是否公开
    private int authPublic;

    //授权信息
    private String message;
}


























