package cd.casic.ci.commons.bean.process.stage;

import cd.casic.ci.commons.bean.engine.job.TaskInstance;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


import java.util.List;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 阶段运行实例模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class StageInstance {

    //id
    private String id;

    //阶段名称
    private String stageName;

    //实例id
    private String instanceId;

    //阶段顺序
    private int stageSort;

    //运行日志地址
    private String stageAddress;

    //运行时间
    private int stageTime;

    //运行状态
    private String stageState;

    //阶段id
    private String parentId;

    //阶段运行日志
    private String runLog;

    //阶段实例
    private List<StageInstance> stageInstanceList;

    //任务实例
    private List<TaskInstance> taskInstanceList;

}
