package cd.casic.module.process.message;

import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.module.process.message.model.MessageNotice;
import cd.casic.module.process.message.model.message.MessageNoticeQuery;
import cd.casic.module.process.message.model.message.MessageSync;
import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;

import java.util.List;

public interface MessageNoticeService {
    String createMessageNotice(@NotNull @Valid MessageNotice var1);

    String cloneMessageNotice(String var1);

    void updateMessageNotice(@NotNull @Valid MessageNotice var1);

    void deleteMessageNotice(@NotNull String var1);

//    @FindOne
    MessageNotice findOne(@NotNull String var1);

//    @FindList
    List<MessageNotice> findList(List<String> var1);

    void updateMessageNoticeState(String var1);

    List<MessageNotice> findMessageNoticeList(MessageNoticeQuery var1);

    PageResult<MessageNotice> findMessageNoticePage(MessageNoticeQuery var1);

    void syncMessageNotice(MessageSync var1);

    Integer findNoticeNumber(String var1);
}
