package cd.casic.module.process.process.stage.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_stage_instance", autoResultMap = true)
public class StageInstanceDo extends BaseDO {

    //日志id
    @TableId
    private String id;

    //任务名称
    private String stageName;

    //实例id
    private String instanceId;

    //顺序
    private int stageSort;

    //运行日志
    private String stageAddress;

    //运行时间
    private int stageTime;

    //运行状态
    private String stageState;

    //阶段id
    private String parentId;

}
