package cd.casic.module.process.service.support.script.dataobject;


import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_task_script", autoResultMap = true)
public class TaskScriptDo extends BaseDO {

    //id
    @TableId
    private String taskId;

    private String name;

    private String type;

    private String scriptOrder;

}
